# PVXMLCache Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLCache:

List of all members.

## Public Member Functions

| PVXMLCache (const PDirectory &directory)
PFilePath | CreateFilename (const PString &prefix, const PString &key, const PString &fileType)
void | Put (const PString &prefix, const PString &key, const PString &fileType, const PString &contentType, const PFilePath &fn, PFilePath &dataFn)
PBoolean | Get (const PString &prefix, const PString &key, const PString &fileType, PString &contentType, PFilePath &fn)
PFilePath | GetCacheDir () const
PFilePath | GetRandomFilename (const PString &prefix, const PString &fileType)

## Static Public Member Functions

static PVXMLCache & | GetResourceCache ()

## Protected Attributes

PDirectory | directory

## Constructor & Destructor Documentation

PVXMLCache::PVXMLCache | ( | const PDirectory & | directory | ) |

## Member Function Documentation

PFilePath PVXMLCache::CreateFilename | ( | const PString & | prefix,
|  | const PString & | key,
|  | const PString & | fileType |
| ) |  |  |

PBoolean PVXMLCache::Get | ( | const PString & | prefix,
|  | const PString & | key,
|  | const PString & | fileType,
|  | PString & | contentType,
|  | PFilePath & | fn |
| ) |  |  |

PFilePath PVXMLCache::GetCacheDir | ( |  | ) | const`[inline]`

PFilePath PVXMLCache::GetRandomFilename | ( | const PString & | prefix,
|  | const PString & | fileType |
| ) |  |  |

static PVXMLCache& PVXMLCache::GetResourceCache | ( |  | ) | `[static]`

void PVXMLCache::Put | ( | const PString & | prefix,
|  | const PString & | key,
|  | const PString & | fileType,
|  | const PString & | contentType,
|  | const PFilePath & | fn,
|  | PFilePath & | dataFn |
| ) |  |  |

## Member Data Documentation

PDirectory PVXMLCache::directory `[protected]`

The documentation for this class was generated from the following file:

- vxml.h